/* sigc++/config/sigcconfig.h.  Generated from sigcconfig.h.in by configure.  */
/* sigc++/config/sigcconfig.h.in.  Generated from configure.in by autoheader.  */


#ifndef _SIGC_CONFIG_H_
#define _SIGC_CONFIG_H_


/* Define to 1 if you have the <dlfcn.h> header file. */
#define HAVE_DLFCN_H 1

/* Define to 1 if you have the <inttypes.h> header file. */
#define HAVE_INTTYPES_H 1

/* Define to 1 if you have the <memory.h> header file. */
#define HAVE_MEMORY_H 1

/* Define to 1 if you have the <stdint.h> header file. */
#define HAVE_STDINT_H 1

/* Define to 1 if you have the <stdlib.h> header file. */
#define HAVE_STDLIB_H 1

/* Define to 1 if you have the <strings.h> header file. */
#define HAVE_STRINGS_H 1

/* Define to 1 if you have the <string.h> header file. */
#define HAVE_STRING_H 1

/* Define to 1 if you have the <sys/stat.h> header file. */
#define HAVE_SYS_STAT_H 1

/* Define to 1 if you have the <sys/types.h> header file. */
#define HAVE_SYS_TYPES_H 1

/* Define to 1 if you have the <unistd.h> header file. */
#define HAVE_UNISTD_H 1

/* Define to the sub-directory in which libtool stores uninstalled libraries.
   */
#define LT_OBJDIR ".libs/"

/* Name of package */
#define PACKAGE "libsigc++"

/* Define to the address where bug reports for this package should be sent. */
#define PACKAGE_BUGREPORT ""

/* Define to the full name of this package. */
#define PACKAGE_NAME ""

/* Define to the full name and version of this package. */
#define PACKAGE_STRING ""

/* Define to the one symbol short name of this package. */
#define PACKAGE_TARNAME ""

/* Define to the home page for this package. */
#define PACKAGE_URL ""

/* Define to the version of this package. */
#define PACKAGE_VERSION ""

/* "SIGC_CXX_EXPLICIT" */
#define SIGC_CXX_EXPLICIT explicit

/* "SIGC_CXX_EXPLICIT_COPY" */
#define SIGC_CXX_EXPLICIT_COPY explicit

/* Define if C++ compiler has intrinsic constructors */
#define SIGC_CXX_INT_CTOR 1

/* Define if your compiler supports namespaces */
#define SIGC_CXX_NAMESPACES 1

/* Define if your compiler supports partial specialization */
#define SIGC_CXX_PARTIAL_SPEC 1

/* Define if C++ compiler allows specialization of references */
#define SIGC_CXX_SPECIALIZE_REFERENCES 1

/* "SIGC_CXX_VOID_CAST_RETURN" */
#define SIGC_CXX_VOID_CAST_RETURN /**/

/* Define if C++ compiler allows void returns */
#define SIGC_CXX_VOID_RETURN 1

/* sigc++ major version */
#define SIGC_MAJOR_VERSION 1

/* sigc++ micro version */
#define SIGC_MICRO_VERSION 7

/* sigc++ minor version */
#define SIGC_MINOR_VERSION 2

/* Define to 1 if you have the ANSI C header files. */
#define STDC_HEADERS 1

/* Version number of package */
#define VERSION "1.2.7"


// Detect common platforms

#if defined(__MWERKS__)
#define LIBSIGC_MWERKS
#elif defined(_WIN32)
// Win32 compilers have a lot of varation
#if defined(__BORLANDC__)
#define LIBSIGC_BC
#define LIBSIGC_DLL
#elif defined(_MSC_VER)
#if _MSC_VER > 1300
#define LIBSIGC_MSVC_NET
#else
#define LIBSIGC_MSVC
#define LIBSIGC_DLL
#endif
#elif defined(__CYGWIN__)
// cygwin is considered unix and doesn't need DLL decl.
#define LIBSIGC_GCC
#elif defined(__MINGW32__)
// LIBSIGC_DLL not strictly required for latest gcc on mingw
// (that uses auto-import).
#define LIBSIGC_DLL
#define LIBSIGC_GCC
#elif defined(__ICL)  // Intel compiler
#define LIBSIGC_INTEL
#else
#error "Unknown architecture (send me gcc --dumpspecs)"
#endif
#else
#define LIBSIGC_GCC
#endif /* _WIN32 */

// Compiler specific definitions

#ifdef LIBSIGC_GCC
#define SIGC_CXX_INT_CTOR 1
#define SIGC_CXX_NAMESPACES 1
#define SIGC_CXX_PARTIAL_SPEC 1
#define SIGC_CXX_SPECIALIZE_REFERENCES 1
#define SIGC_CXX_VOID_RETURN 1
#define SIGC_CXX_VOID_CAST_RETURN /**/
#define SIGC_CXX_EXPLICIT explicit
#define SIGC_CXX_EXPLICIT_COPY explicit
#endif /* LIBSIGC_GCC */

// I guess the configure checks can't be run on these plaforms,
// so we specify these compiler features based on our experience.
// These platforms are detected above based on compiler-defined macros.
// murrayc:
#ifdef LIBSIGC_BC
#define SIGC_CXX_INT_CTOR 1
#define SIGC_CXX_NAMESPACES 1
#define SIGC_CXX_PARTIAL_SPEC 1
#define SIGC_CXX_SPECIALIZE_REFERENCES 1
#define SIGC_CXX_VOID_RETURN 1
#define SIGC_CXX_VOID_CAST_RETURN /**/
//#define SIGC_CXX_MEMBER_FUNC_TEMPLATES 1
//#define SIGC_CXX_MEMBER_CLASS_TEMPLATES 1
//#define SIGC_CXX_MUTABLE 1
//#define SIGC_CXX_FRIEND_TEMPLATES 1
#define SIGC_CXX_EXPLICIT explicit
#define SIGC_CXX_EXPLICIT_COPY explicit
#endif /* LIBSIGC_BC */

#ifdef LIBSIGC_MSVC_NET
#define SIGC_CXX_INT_CTOR 1
#define SIGC_CXX_NAMESPACES 1
#define SIGC_CXX_PARTIAL_SPEC 1
#define SIGC_CXX_SPECIALIZE_REFERENCES 1
#define SIGC_CXX_VOID_RETURN 1
#define SIGC_CXX_VOID_CAST_RETURN /**/
#define SIGC_CXX_EXPLICIT explicit
#define SIGC_CXX_EXPLICIT_COPY explicit
#endif /* LIBSIGC_MSVC_NET */

#ifdef LIBSIGC_MSVC
#define SIGC_CXX_INT_CTOR 1
#define SIGC_CXX_NAMESPACES 1
//#define SIGC_CXX_MEMBER_FUNC_TEMPLATES 1
//#define SIGC_CXX_MEMBER_CLASS_TEMPLATES 1
//#define SIGC_CXX_TEMPLATE_CCTOR 1
//#define SIGC_CXX_MUTABLE 1
#define SIGC_CXX_EXPLICIT explicit
#define SIGC_CXX_EXPLICIT_COPY explicit
#endif /* LIBSIGC_MSVC */

#ifdef LIBSIGC_MWERKS
#define SIGC_CXX_INT_CTOR 1
#define SIGC_CXX_NAMESPACES 1
#define SIGC_CXX_PARTIAL_SPEC 1
#define SIGC_CXX_SPECIALIZE_REFERENCES 1
#define SIGC_CXX_VOID_RETURN 1
#define SIGC_CXX_VOID_CAST_RETURN /**/
//#define SIGC_CXX_MEMBER_FUNC_TEMPLATES 1
//#define SIGC_CXX_MEMBER_CLASS_TEMPLATES 1
//#define SIGC_CXX_MUTABLE 1
#define SIGC_CXX_EXPLICIT explicit
#define SIGC_CXX_EXPLICIT_COPY explicit
#endif /* LIBSIGC_MWERKS */

#ifdef LIBSIGC_INTEL
#define SIGC_CXX_INT_CTOR 1
#define SIGC_CXX_NAMESPACES 1
#define SIGC_CXX_PARTIAL_SPEC 1
#define SIGC_CXX_SPECIALIZE_REFERENCES 1
#define SIGC_CXX_VOID_RETURN 1
#define SIGC_CXX_VOID_CAST_RETURN /**/
#define SIGC_CXX_EXPLICIT explicit
#define SIGC_CXX_EXPLICIT_COPY explicit
#endif /* LIBSIGC_INTEL */

// Window DLL declarations

#ifdef LIBSIGC_DLL
 #if defined(LIBSIGC_COMPILATION) && defined(DLL_EXPORT)
  #define LIBSIGC_API __declspec(dllexport)
  #define LIBSIGC_TMPL
 #elif !defined(LIBSIGC_COMPILATION)
  #define LIBSIGC_API __declspec(dllimport)
  #define LIBSIGC_TMPL extern
 #else
  #define LIBSIGC_API
 #endif /* LIBSIGC_COMPILATION - DLL_EXPORT */
#else
 #define LIBSIGC_API
#endif /* LIBSIGC_DLL */

#endif /* _SIGC_CONFIG_H_ */


